Get Detailed Individual Runs For Group
curl --request GET \
--url https://api-prod.interactly.ai/workflows/v1/simulation-runs/{group_id}/executions/detailed \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.interactly.ai/workflows/v1/simulation-runs/{group_id}/executions/detailed"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.interactly.ai/workflows/v1/simulation-runs/{group_id}/executions/detailed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"individual_runs": [
{
"id": "<string>",
"run_index": 123,
"status": "<string>",
"error_message": "<string>",
"created_at": "<string>",
"evaluation_result": {},
"selected_workflow_run_id": "<string>",
"selected_workflow_name": "<string>",
"selected_workflow_status": "<string>",
"selected_evaluation_run_id": "<string>",
"selected_evaluation_status": "<string>",
"counter_workflow_run_id": "<string>",
"counter_workflow_name": "<string>",
"counter_workflow_status": "<string>",
"counter_evaluation_run_id": "<string>",
"counter_evaluation_status": "<string>"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Simulations
Get Detailed Individual Runs For Group
List individual executions within a simulation group with hydrated workflow run details.
This endpoint provides enriched data for each individual run including:
- Links to selected and counter workflow runs
- Workflow names and statuses
- Evaluation run IDs and statuses (if configured)
GET
/
workflows
/
v1
/
simulation-runs
/
{group_id}
/
executions
/
detailed
Get Detailed Individual Runs For Group
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Query Parameters
Number of items per page
Required range:
x >= 1Page number
Required range:
x >= 1Search keywords
Filter by start time (ISO 8601 format)
Filter by end time (ISO 8601 format)